## org.hibernate.engine.query.spi.sql
Class NativeSQLQueryScalarReturn

    java.lang.Object
      org.hibernate.engine.query.spi.sql.NativeSQLQueryScalarReturn

All Implemented Interfaces:
  NativeSQLQueryReturn

    public class NativeSQLQueryScalarReturn

extends Object
implements NativeSQLQueryReturn

Describes a scalar return in a native SQL query.

Constructor Summary
`NativeSQLQueryScalarReturn(String alias, Type type)`

Method Summary
`boolean` `equals(Object o)`
`String` `getColumnAlias()`
`Type` `getType()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeSQLQueryScalarReturn

    public NativeSQLQueryScalarReturn(String alias,
                                      Type type)

Method Detail

### getColumnAlias

    public String getColumnAlias()

### getType

    public Type getType()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.